picard.sam

## Enum FilterSamReads.Filter

- java.lang.Object
- - java.lang.Enum<FilterSamReads.Filter>
  - - picard.sam.FilterSamReads.Filter

- All Implemented Interfaces:
    Serializable, Comparable<FilterSamReads.Filter>
  Enclosing class:
    FilterSamReads

      protected static enum FilterSamReads.Filter
      extends Enum<FilterSamReads.Filter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `excludeAligned`
    `excludeReadList`
    `includeAligned`
    `includeJavascript`
    `includePairedIntervals`
    `includeReadList`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static FilterSamReads.Filter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FilterSamReads.Filter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### includeAligned

          public static final FilterSamReads.Filter includeAligned

    - #### excludeAligned

          public static final FilterSamReads.Filter excludeAligned

    - #### includeReadList

          public static final FilterSamReads.Filter includeReadList

    - #### excludeReadList

          public static final FilterSamReads.Filter excludeReadList

    - #### includeJavascript

          public static final FilterSamReads.Filter includeJavascript

    - #### includePairedIntervals

          public static final FilterSamReads.Filter includePairedIntervals

  - ### Method Detail

    - #### values

          public static FilterSamReads.Filter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FilterSamReads.Filter c : FilterSamReads.Filter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FilterSamReads.Filter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<FilterSamReads.Filter>`